Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Like dd, dd_rescue does copy data from one file or block device to another.
Name:		dd_rescue
Version:	1.14
Release:	1
License:	GNU/GPL 
URL:		http://www.garloff.de/kurt/linux/ddrescue/
Group:		System/Hardware
Source0:	dd_rescue-%{version}.tar.gz
# fix install
Patch0:		dd_rescue-1.14-nonroot-install.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Like dd, dd_rescue does copy data from one file or block device to another.
You can specify file positions (called seek and Skip in dd).

There are several differences:
* dd_rescue does not provide character conversions.
* The command syntax is different. Call dd_rescue -h.
* dd_rescue does not abort on errors on the input file, unless you specify a
  maximum error number. Then dd_rescue will abort when this number is
  reached.
* dd_rescue does not truncate the output file, unless asked to.
* You can tell dd_rescue to start from the end of a file and move backwards.
* It uses two block sizes, a large (soft) block size and a small (hard) block
  size. In case of errors, the size falls back to the small one and is
  promoted again after a while without errors.
	

%post
ldconfig
/sbin/install-info %{_infodir}/ddrescue.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/ddrescue.info.gz %{_infodir}/dir
fi



%prep
%setup -q -n dd_rescue
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/usr install
rm -rf $RPM_BUILD_ROOT%_infodir/dir
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/dd_rescue

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.14-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Version update
* Sat Jan 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.11-1
- Initial Release
